### Class

# Shumate RasterRenderer

since: 1.0

#### Description

    final class Shumate.RasterRenderer : Shumate.MapSource
    {
      /* No available fields */
    }

No description available.

Available since: 1.0

#### Ancestors

- ShumateMapSource
- GObject

#### Constructors

###### shumate_raster_renderer_new

Creates a new `ShumateRasterRenderer` that uses the given data source.

since: 1.0

###### shumate_raster_renderer_new_from_url

Creates a new `ShumateRasterRenderer` that fetches tiles from the given URL using a `ShumateTileDownloader` data source.

since: 1.0

###### shumate_raster_renderer_new_full

Creates a new `ShumateRasterRenderer` with the given details and a data source.

since: 1.0

###### shumate_raster_renderer_new_full_from_url

Creates a new `ShumateRasterRenderer` with the given details and a data source.

since: 1.0

#### Instance methods

##### Methods inherited from ShumateMapSource (26)

Please see ShumateMapSource for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Shumate.RasterRenderer:data-source

The data source that provides image tiles to display. In most cases, a `ShumateTileDownloader` is sufficient.

since: 1.0

##### Properties inherited from ShumateMapSource (8)

###### Shumate.MapSource:id

The id of the map source.

since: 1.0

###### Shumate.MapSource:license

The usage license of the map source.

since: 1.0

###### Shumate.MapSource:license-uri

The usage license’s uri for more information.

since: 1.0

###### Shumate.MapSource:max-zoom-level

The maximum zoom level.

since: 1.0

###### Shumate.MapSource:min-zoom-level

The minimum zoom level.

since: 1.0

###### Shumate.MapSource:name

The name of the map source.

since: 1.0

###### Shumate.MapSource:projection

The map projection of the map source.

since: 1.0

###### Shumate.MapSource:tile-size

The tile size of the map source.

since: 1.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct ShumateRasterRendererClass {
      ShumateMapSourceClass parent_class;

    }

No description available.

###### Class members

`parent_class: ShumateMapSourceClass`
  No description available.